%define	name	lbreakout2
%define	version	2.5
%define	release	2mdk

# getting latest levelset ?
%define __fetch_levels 1
%{?_fetch_levels: %{expand: %%define __fetch_levels 1}}


Summary:	Breakout-style arcade game
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url:		http://lgames.sourceforge.net/
Source0:	http://ftp1.sourceforge.net/lgames/%{name}-%{version}.tar.bz2
Source1:	levelsets.tar.bz2
Source5:	%{name}-16.png
Source6:	%{name}-32.png
Source7:	%{name}-48.png
#Patch0:	lbreakout2-2.3.2-fix-FPE.patch.bz2
License:	GPL
Group:		Games/Arcade
Packager:	Pixel <pixel@mandrakesoft.com>
BuildRequires:	SDL_mixer-devel
BuildRequires:	esound-devel
BuildRequires:	libpng-devel
BuildRequires:	texinfo
%if %__fetch_levels
BuildRequires:	wget
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LBreakout is a classical Breakout game and this means (if you like Breakout ;-)
it is a lot of fun to play!
If you never ever played such a game you can check out the manual for more
information, take a look at the screenshots and last but not least... play it!

%prep
%setup -q
#%patch0 -p1

# getting latest levelsets
%if %{__fetch_levels}
cd %{_tmppath}
wget http://lgames.sourceforge.net/LBreakout2/levels/levelsets.tar.gz
zcat levelsets.tar.gz | bzip2 > %{SOURCE1}
rm -f levelsets.tar.gz
%endif

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--localstatedir=%{_localstatedir}/games
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/games
%{makeinstall_std}

tar xjC $RPM_BUILD_ROOT%{_datadir}/games/%{name}/levels -f %SOURCE1

mkdir -p $RPM_BUILD_ROOT%{_menudir}/
cat > %buildroot%{_menudir}/%{name} <<EOF
?package(%name):needs=x11 section=Amusement/Arcade \
title="LBreakout 2" longtitle="Breakout-style arcade game" \
command="%{_gamesbindir}/lbreakout2" icon="lbreakout2.png"
EOF

install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

rm -rf $RPM_BUILD_ROOT/usr/doc # those docs are not wanted

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README TODO
%attr(2755, root, games) %{_gamesbindir}/*
%attr(664, root, games) %{_localstatedir}/games/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.5-2mdk
- Rebuild with new menu

* Sun Aug 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5-1mdk
- 2.5
- cosmetics
- drop P0

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-3mdk
- move menu to the spec file
- move files to the game-specific dirs 

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-2mdk
- drop all redundant buildrequires
- buildrequires wget to fetch the levels

* Wed Apr  2 2003 Pixel <pixel@mandrakesoft.com> 2.4.1-1mdk
- new release

* Tue Dec 24 2002 Daouda LO <daouda@mandrakesoft.com> 2.4-2mdk
- rebuild against latest glibc

* Tue Dec 17 2002 Pixel <pixel@mandrakesoft.com> 2.4-1mdk
- update levelsets
- new release

* Tue Oct  8 2002 Pixel <pixel@mandrakesoft.com> 2.3.5-1mdk
- update levelsets
- new release

* Mon Aug 19 2002 Pixel <pixel@mandrakesoft.com> 2.3.2-2mdk
- disable COMM_STATS to fix Floating Point Exception (thanks to Byron Poland)

* Fri Aug 16 2002 Pixel <pixel@mandrakesoft.com> 2.3.2-1mdk
- new release

* Tue Aug 13 2002 Pixel <pixel@mandrakesoft.com> 2.3-1mdk
- new release

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 2.2.2-3mdk
- add "BuildRequires: SDL_mixer-devel" so that it's always build with sound support
- update levelsets

* Mon Apr 29 2002 Pixel <pixel@mandrakesoft.com> 2.2.2-2mdk
- rebuild for new libasound (alsa)

* Fri Mar 22 2002 Pixel <pixel@mandrakesoft.com> 2.2.2-1mdk
- new release

* Mon Feb  4 2002 Pixel <pixel@mandrakesoft.com> 2.2.1-1mdk
- convert menu entries xpm's to png's
- new release

* Sun Jan 27 2002 Pixel <pixel@mandrakesoft.com> 2.2-2mdk
- add levelsets

* Sat Jan 26 2002 Pixel <pixel@mandrakesoft.com> 2.2-1mdk
- new version

* Mon Jan 21 2002 Stefan van der Eijk <stefan@eijk.nu> 2.1.2-3mdk
- BuildRequires

* Mon Jan 14 2002 Pixel <pixel@mandrakesoft.com> 2.1.2-2mdk
- fix-segfault-when-no-personal-levels-are-found patch

* Sun Jan 13 2002 Pixel <pixel@mandrakesoft.com> 2.1.2-1mdk
- new version, new versioning, and this is now lbreakout2

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 010315-4mdk
- fixing rights on /var/lib/games/lbreakout.hscr

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 010315-3mdk
- BuildRequires:	libSDL-devel

* Mon May 14 2001 Pixel <pixel@mandrakesoft.com> 010315-2mdk
- rebuild with new SDL

* Fri Apr 27 2001 Pixel <pixel@mandrakesoft.com> 010315-1mdk
- new version

* Wed Dec 20 2000 Pixel <pixel@mandrakesoft.com> 001104-1mdk
- new version

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 001022-2mdk
- rebuild
- longtitle
- capitalize summary

* Sun Oct 22 2000 Pixel <pixel@mandrakesoft.com> 001022-1mdk
- new version

* Wed Oct 18 2000 Pixel <pixel@mandrakesoft.com> 001018-1mdk
- new version

* Mon Oct  2 2000 Pixel <pixel@mandrakesoft.com> 001002-1mdk
- new version

* Fri Sep 29 2000 Pixel <pixel@mandrakesoft.com> 000928-1mdk
- initial spec


# end of file
